#pragma once
#include <map>
struct Fish_LuckyDrawCFGData
{
	//索引
	int mIndex;
	//价值校验值
	std::vector<int> mPinValue;
	//类型
	int mStarLvl;
	//物品类型
	int mItemType;
	//物品数量
	int mItemCount;
	//道具价值
	int mItemValue;
	//普通概率
	std::vector<int> mNormalProb;
	//无彩券概率
	std::vector<int> mNoChipProb;
};

class Fish_LuckyDrawCFG
{
public:
private:
	static std::auto_ptr<Fish_LuckyDrawCFG> msSingleton;
public:
	int GetCount();
	const Fish_LuckyDrawCFGData* GetData(int Index);
	const std::map<int, Fish_LuckyDrawCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_LuckyDrawCFG* GetSingleton();
	static void Release();
private:
	std::map<int, Fish_LuckyDrawCFGData> mMapData;
};
